Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79077 - rpm creates broken symlinks
Summary: rpm creates broken symlinks
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-05 13:18 UTC by Juho Schultz
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-05 13:18:34 UTC


Attachments (Terms of Use)

Description Juho Schultz 2002-12-05 13:18:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
rpm -Uvh creates also broken symlinks when the package suggests so.
No warning or notice is given to the user.

Version-Release number of selected component (if applicable):
rpm-4.0.4

How reproducible:
Always

Steps to Reproduce:
1. Obtain a rpm that creates broken symlinks.
(e.g. nmap-frontend-3.00-1.i386.rpm from
download.insecure.org/nmap/dist/nmap-frontend-3.00-1.i386.rpm)
2. rpm -Uvh nmap-frontend-3.00-1.i386.rpm

Actual Results:  The following files are created:
/usr/bin/nmapfe
/usr/bin/xnmap -> /usr/bin/nmapfe
/bin/xnmap -> /bin/nmapfe
The last one is a broken link.

Expected Results:  rpm should check for creating broken links. At minimum a
warning 'created a link to non-existing file' should be given, or preferably
'trying to create link to non-existing file. Proceed?'


Additional info:

The problem has also been reported to the
maintainer of the nmap-frontend package.

Comment 1 Jeff Johnson 2002-12-06 17:09:32 UTC
This is a package, not rpm, problem. The problem
is more complicated than stat'ing the target, as
there are implicit ordering constraints (and
painful loops) on installed packages that would be
needed as well (read: 2nd package may install target that
1st package symlinks too).


Note You need to log in before you can comment on or make changes to this bug.